Subject: [armd] For your consideration: DNA

From: Bernard Aboba <[email-masked]>
Date: Sun, 5 Jun 2011 10:19:38 -0700

When analyzing the behavior of ARP and ND within the context of ARMD, may I suggest that the WG consider DNA: 

DNAv4:  RFC 4436
DNAv6:  RFC 6059

DNA was designed to allow rapid network re-configuration for mobile hosts.   Since it utilizes unicast ARP/ND rather than multicast, it has somewhat different scaling properties than classic ARP/ND. 

Since DNAv4 is now widely implemented within flat L2 networks where dense deployments have been experienced (e.g. on college campuses with tens of thousands of iPhone/iPad users), information on deployment experiences may be available.

---

From: Bernard Aboba <[email-masked]>
Date: Sun, 5 Jun 2011 15:19:58 -0700

DNAv4 is implemented in Mac OS X as well as iOS and is turned on by default.  It has been available commercially since the first iPhone.  If you have a Mac, iPhone, iPad, iPod Touch, etc. you are most likely running DNAv4. 

Within current implementations, traces appear indicate that exchanges and subsequent IP stack re-configuration complete within ~5 ms. 

While much of RFC 4436 focuses on mobile scenarios, Section 2.4 addresses the static addressing case. 

Date: Sun, 5 Jun 2011 13:35:49 -0700
Subject: Re: [armd] For your consideration: DNA
From: [email-masked]
To: [email-masked]

With respect to data centers, is this basically suggesting that the ARP/NDrefreshes to prevent the ARP/ND cache entries from timing out be donevia unicast rather than by broadcast/multicast?

If so, are that OSes actually implement this?
Thanks,Anoop

On Sun, Jun 5, 2011 at 10:19 AM, Bernard Aboba <[email-masked]> wrote:

DNAv4:  RFC 4436
DNAv6:  RFC 6059

_______________________________________________

armd mailing list

[email-masked]

https://www.ietf.org/mailman/listinfo/armd

---

From: Christopher Morrow <[email-masked]>
Date: Tue, 7 Jun 2011 11:36:11 -0400

On Sun, Jun 5, 2011 at 6:19 PM, Bernard Aboba <[email-masked]> wrote:
> DNAv4 is implemented in Mac OS X as well as iOS and is turned on by
> default.  It has been available commercially since the first iPhone.  If you
> have a Mac, iPhone, iPad, iPod Touch, etc. you are most likely running
> DNAv4.
>
> Within current implementations, traces appear indicate that exchanges and
> subsequent IP stack re-configuration complete within ~5 ms.
>

This is the wrong side of the equation isn't it? (the router side at
least in the meeting was the focus area initially?)

Unicast or Multicast at the router side (default-gw) isn't likely to
matter, it still has to decide for southbound packets with no neighbor
in the table what to do, and reply to northbound requests from local
hosts for NS/etc.

-chris

> ________________________________
> With respect to data centers, is this basically suggesting that the ARP/ND
> refreshes to prevent the ARP/ND cache entries from timing out be done
> via unicast rather than by broadcast/multicast?
> Thanks,
> Anoop
> DNA was designed to allow rapid network re-configuration for mobile hosts.
> Since it utilizes unicast ARP/ND rather than multicast, it has somewhat
> different scaling properties than classic ARP/ND.
>
> Since DNAv4 is now widely implemented within flat L2 networks where dense
> deployments have been experienced (e.g. on college campuses with tens of
> thousands of iPhone/iPad users), information on deployment experiences may
> be available.
>